import sqlite from 'better-sqlite3';
import * as path from 'path';

const dbPath = path.resolve("./", "database.db");
console.log(dbPath);

// Die Datei muss ausgeführt werden, um die Datenbank zu initialisieren 
// Dies erfolgt im Terminal mit npx node .\initdb.js
// Es wird gefragt ob Node installiert werden soll --> y eingeben. Dann sollte die Datei laufen. 
function initDb() {
  let db = new sqlite(dbPath , sqlite.OPEN_READWRITE, (err) => {
    if (err) {
        console.error(err.message);
    }
    verbose: console.log
  });

  // Mit Create Table wird die Tabelle angelegt, wenn diese noch nicht existiert. 
  // ACHTUNG: Wenn die Tabelle schon angelegt wurde, dann wird diese nicht mehr gelöscht. 
  //          Heißt, eine wiederholte Ausführung der Funktion ändert die Datenbank nicht. 
  //          Wenn die Tabelle mal angelegt ist, muss diese mit Alter Table erweitert werden.  
  let resultPerson = db.exec(`CREATE TABLE IF NOT EXISTS Persons ( 
    'id' TEXT NOT NULL PRIMARY KEY, 
    'prename' TEXT NOT NULL DEFAULT '', 
    'surname' TEXT NOT NULL DEFAULT '', 
    'city' TEXT NOT NULL DEFAULT '', 
    'age' INT NOT NULL DEFAULT -1, 
    'img' TEXT NOT NULL DEFAULT '', 
    'createdAt' INT NOT NULL DEFAULT 0, 
    'updatedAt' INT NOT NULL DEFAULT 0)`);
  console.log(resultPerson);
//  Hier wird ie Neue Column username hinzugefügt. 
//  let addPerson = db.exec("ALTER TABLE Persons ADD COLUMN username TEXT NOT NULL DEFAULT ''");
//  console.log(addPerson);
//  Hier wird ie Neue Column password hinzugefügt. 
//  addPerson = db.exec("ALTER TABLE Persons ADD COLUMN password TEXT NOT NULL DEFAULT ''");
//  console.log(addPerson);
//  Hier wird ie Neue Column admin hinzugefügt. 
//  addPerson = db.exec("ALTER TABLE Persons ADD COLUMN admin INT NOT NULL DEFAULT 0");
//  Hier wird ie Neue Tabelle Items hinzugefügt. 
//  let resultItem = db.exec("CREATE TABLE IF NOT EXISTS Items ('id' TEXT NOT NULL PRIMARY KEY, 'name' TEXT NOT NULL DEFAULT '', 'category' TEXT NOT NULL DEFAULT '', 'isAvailable' INT NOT NULL DEFAULT 1, 'imgItem' TEXT NOT NULL DEFAULT '', 'createdAt' INT NOT NULL DEFAULT 0, updatedAt INT NOT NULL DEFAULT 0)");
//  console.log(resultItem);
//  Hier wird ie Neue Tabelle Rents hinzugefügt. 
//  let resultRent = db.exec("CREATE TABLE IF NOT EXISTS Rents ('id' TEXT NOT NULL PRIMARY KEY, 'message' TEXT NOT NULL DEFAULT '', 'personId' TEXT NOT NULL DEFAULT '', 'itemId' TEXT NOT NULL DEFAULT 1, startDate INT NOT NULL DEFAULT 0, endDate INT NOT NULL DEFAULT 0, endDateBringBack INT NOT NULL DEFAULT 0, 'img' TEXT NOT NULL DEFAULT '', 'createdAt' INT NOT NULL DEFAULT 0, updatedAt INT NOT NULL DEFAULT 0)");
//  console.log(resultRent);
  db.close();
}

initDb();