import { createSignal, For } from "solid-js";

export default function PersonTable(props) {
  const [data, setData] = createSignal([
    { id: 0, prename: "Lea", surname: "Maier", age: 23, city: "Weingarten" },
    { id: 1, prename: "Leon", surname: "Müller", age: 27, city: "Ravensburg" },
    { id: 2, prename: "Rita", surname: "Kowalski", age: 63 , city: "Mochenwangen"},
    { id: 3, prename: "Alina", surname: "Schuster", age: 20 , city: "Blitzenreute"},
    { id: 4, prename: "Rudolf", surname: "Sauter", age: 87 , city: "Berg"},
    { id: 5, prename: "Roswitha", surname: "Sauter", age: 85 , city: "Berg"},
    { id: 6, prename: "Miriam", surname: "Kocher", age: 45, city: "Bad Saulgau"},
    { id: 7, prename: "Lea", surname: "Kocher", age: 19, city: "Balingen"},
    { id: 8, prename: "Liesl", surname: "Hinterhuber", age: 87, city: "Wangen"},
    { id: 9, prename: "Fritz", surname: "Amann", age: 55 , city: "Bergatreute"},
    { id: 10, prename: "Lina", surname: "Boni", age: 18 , city: "Hinzistobel"},
    { id: 11, prename: "Kirsten", surname: "Krizcik", age: 29, city: "Ravensburg"},
    { id: 12, prename: "Kirsten", surname: "Müller", age: 30, city: "Weingarten"}
  ]);

  return (
    <div class="overflow-x-auto mt-10 p-4" data-theme={props.theme}>
      <h2 class="text-2xl font-bold mb-4">Personenliste</h2>
      <table class="table table-zebra w-full bg-base-100 rounded-xl shadow">
        <thead class="bg-base-200">
          <tr>
            <th>Vorname</th>
            <th>Nachname</th>
            <th>Alter</th>
            <th>Stadt</th>
          </tr>
        </thead>
        <tbody>
          <For each={data()}>
            {(person) => (
              <tr>
                <td>{person.prename}</td>
                <td>{person.surname}</td>
                <td>{person.age}</td>
                <td>{person.city}</td>
              </tr>
            )}
          </For>
        </tbody>
      </table>
    </div>
  );
}

