import { createResource, For } from "solid-js";
// Importieren der fetchUser Funktion
import { fetchPersons } from "../stores/personStore";

export default function PersonTable(props) {
  // wird einmal aufgerufen, wenn die Komponente rendert. 
  const [persons] = createResource(fetchPersons);
  console.log("personTable")

  return (
    <div class="overflow-x-auto mt-10 p-4" data-theme={props.theme}>
      <h2 class="text-2xl font-bold mb-4">Personenliste</h2>
      <table class="table table-zebra w-full bg-base-100 rounded-xl shadow">
        <thead class="bg-base-200">
          <tr>
            <th>Vorname</th>
            <th>Nachname</th>
            <th>Alter</th>
            <th>Stadt</th>
          </tr>
        </thead>
        <tbody>
          {/* For each erlaubt das iterieren des Arrays persons() - es bleibt reaktiv, 
              Wenn ein Array-Element oder ein Attribut in persons() verändert wird, wird neu gerendert
              Vom Prinzip gleich wie map-Funktion.
           */}
          <For each={persons()}>
            {(person) => (
              <tr>
                <td>{person.prename}</td>
                <td>{person.surname}</td>
                <td>{person.age}</td>
                <td>{person.city}</td>
              </tr>
            )}
          </For>
        </tbody>
      </table>
    </div>
  );
}


